Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class s2iSpiceReader

    java.lang.Object
      |
      +--s2iSpiceReader

Direct Known Subclasses:
  s2iLibReader

public class s2iSpiceReader
extends java.lang.Object

s2iSpiceReader will scan the Spice file specified as an argument of main(). If the file has a Spi-Tran IDENTIFICATION RECORD then information from it will be stored in the SpiceFileInfo data-structure. This data-structure will be later used to populate the Spi-tran UI If there is no IDENTIFICATION RECORD, then the file will be cleaned.

Field Summary
`(package private) java.io.BufferedReader` | `buf_reader`
`(package private) java.io.BufferedWriter` | `buf_writer`
`(package private) java.lang.StringBuffer` | `curLineBuff`
`(package private) java.lang.String` | `fileName`
`(package private) java.lang.String` | `nxtLine`
`(package private) java.io.FileReader` | `reader`
`(package private) java.io.FileWriter` | `writer`

Constructor Summary
`s2iSpiceReader(java.lang.String inFile)`
`s2iSpiceReader(java.lang.String inFile, java.lang.String outFile)`

Method Summary
`static boolean` | `allLnI_Exist(java.lang.String fileName, java.util.Vector misLibs, java.util.Vector misIncl)` This function is a static.
`static void` | `CheckBydump(java.lang.StringBuffer FullLine, java.util.Vector componentLines)`
`protected void` | `close()`
`protected void` | `finalize()`
`static void` | `findSpiceLineType(java.lang.String SpiceLine)`
`private static java.lang.StringBuffer` | `frontTrim(java.lang.String string)`
`static java.util.Enumeration` | `getIncludeFiles(java.lang.String fileWPath)` This function is a static.
`int` | `getSpiceLine(java.lang.StringBuffer Line, java.util.Vector AllLines)` Gets one Spice Line from the Spice file.
`static java.util.Enumeration` | `getSubcktDefs(java.lang.String fileWPath)` This function is a static.
`static java.util.Enumeration` | `getSubckts(java.lang.String fileWPath)` This function is a static.
`private static void` | `joinSpiceLine(java.lang.StringBuffer mainLine, java.lang.String addLine)`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`, clone, equals, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### fileName

    final java.lang.String fileName

### reader

    java.io.FileReader reader

### buf_reader

    java.io.BufferedReader buf_reader

### writer

    java.io.FileWriter writer

### buf_writer

    java.io.BufferedWriter buf_writer

### curLineBuff

    java.lang.StringBuffer curLineBuff

### nxtLine

    java.lang.String nxtLine

Constructor Detail

### s2iSpiceReader

    public s2iSpiceReader(java.lang.String inFile)
                   throws java.io.FileNotFoundException

### s2iSpiceReader

    public s2iSpiceReader(java.lang.String inFile,
                          java.lang.String outFile)
                   throws java.io.FileNotFoundException,
                          java.io.IOException

Method Detail

### frontTrim

    private static java.lang.StringBuffer frontTrim(java.lang.String string)

### joinSpiceLine

    private static void joinSpiceLine(java.lang.StringBuffer mainLine,
                                      java.lang.String addLine)

### getSpiceLine

    public int getSpiceLine(java.lang.StringBuffer Line,
                            java.util.Vector AllLines)
                     throws java.io.IOException

  Gets one Spice Line from the Spice file. One Spice Line may continue over several lines with the use of '+' in the begining of a line.

### close

    protected void close()
                  throws java.io.IOException

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Overrides:
    finalize in class java.lang.Object

### getIncludeFiles

    public static java.util.Enumeration getIncludeFiles(java.lang.String fileWPath)
                                                 throws java.io.FileNotFoundException,
                                                        java.io.IOException

  This function is a static. It is to be passed a SPICE file as an argument. It will return all the Included files in a string enumeration.

### getSubckts

    public static java.util.Enumeration getSubckts(java.lang.String fileWPath)
                                            throws java.io.FileNotFoundException,
                                                   java.io.IOException

  This function is a static. It is to be passed a SPICE file as an argument. It will return all the Sub-circuit Names in a string enumeration.

### getSubcktDefs

    public static java.util.Enumeration getSubcktDefs(java.lang.String fileWPath)
                                               throws java.io.FileNotFoundException,
                                                      java.io.IOException

  This function is a static. It is to be passed a SPICE file as an argument. It will return all the Sub-circuit definitions in a string enumeration. anish - 27 Jan 99.

### allLnI_Exist

    public static boolean allLnI_Exist(java.lang.String fileName,
                                       java.util.Vector misLibs,
                                       java.util.Vector misIncl)
                                throws java.io.FileNotFoundException,
                                       java.io.IOException

  This function is a static. It is to be passed a SPICE file as an argument. It checks the existence of all the LIBS and INCLUDES that have been referred to from this file. It is to be passed two vectors as arguments which will store the value of the files not present. It returns a true if all files are existing, and a false otherwise or in case of an error anish 01 Dec '98

### findSpiceLineType

    public static void findSpiceLineType(java.lang.String SpiceLine)

### main

    public static void main(java.lang.String[] args)

### CheckBydump

    public static void CheckBydump(java.lang.StringBuffer FullLine,
                                   java.util.Vector componentLines)

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD